For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request categories
        • GETGet service request category by ID
        • POSTCreate Service Request: ResMan
        • PUTUpdate Service Request: ResMan
        • POSTCreate Service Request History: ResMan - Not Supported
        • POSTCreate Service Request Files: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManService Requests

Get all service request categories

GET
/v1/service-request-categories/
GET
/v1/service-request-categories/
$curl https://api.propexo.com/v1/service-request-categories/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "16cc3207-306a-4075-a873-235bab881925",
18 "x_property_id": "na",
19 "x_location_id": null,
20 "code": null,
21 "description": null,
22 "is_active": null,
23 "name": "Clean Carpets",
24 "integration_id": "clwh5u07w000508me66sfh3um",
25 "integration_vendor": "RESMAN",
26 "property_id": "clwi5xiix000008l6ctdgafyh"
27 }
28 ]
29}
Get all service request categories
Was this page helpful?
Previous

Get service request category by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error